<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PlayPluginConfigurations (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PlayPluginConfigurations (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/play/plugins/PlayPlugin.html" title="class in org.gradle.play.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/play/plugins/PlayRoutesPlugin.html" title="class in org.gradle.play.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/play/plugins/PlayPluginConfigurations.html" target="_top">Frames</a></li>
<li><a href="PlayPluginConfigurations.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.play.plugins</div>
<h2 title="Class PlayPluginConfigurations" class="title">Class PlayPluginConfigurations</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.play.plugins.PlayPluginConfigurations</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">PlayPluginConfigurations</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Conventional locations and names for play plugins.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#COMPILE_CONFIGURATION">COMPILE_CONFIGURATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#PLATFORM_CONFIGURATION">PLATFORM_CONFIGURATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#RUN_CONFIGURATION">RUN_CONFIGURATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#TEST_COMPILE_CONFIGURATION">TEST_COMPILE_CONFIGURATION</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#PlayPluginConfigurations(org.gradle.api.artifacts.ConfigurationContainer,%20org.gradle.api.artifacts.dsl.DependencyHandler)">PlayPluginConfigurations</a></strong>(<a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>&nbsp;configurations,
                        <a href="../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl">DependencyHandler</a>&nbsp;dependencyHandler)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#getPlay()">getPlay</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#getPlayPlatform()">getPlayPlatform</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#getPlayRun()">getPlayRun</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/plugins/PlayPluginConfigurations.html#getPlayTest()">getPlayTest</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PLATFORM_CONFIGURATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PLATFORM_CONFIGURATION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PLATFORM_CONFIGURATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.play.plugins.PlayPluginConfigurations.PLATFORM_CONFIGURATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_CONFIGURATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_CONFIGURATION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_CONFIGURATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.play.plugins.PlayPluginConfigurations.COMPILE_CONFIGURATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUN_CONFIGURATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUN_CONFIGURATION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RUN_CONFIGURATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.play.plugins.PlayPluginConfigurations.RUN_CONFIGURATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_COMPILE_CONFIGURATION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEST_COMPILE_CONFIGURATION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_COMPILE_CONFIGURATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.play.plugins.PlayPluginConfigurations.TEST_COMPILE_CONFIGURATION">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PlayPluginConfigurations(org.gradle.api.artifacts.ConfigurationContainer, org.gradle.api.artifacts.dsl.DependencyHandler)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlayPluginConfigurations</h4>
<pre>public&nbsp;PlayPluginConfigurations(<a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>&nbsp;configurations,
                        <a href="../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl">DependencyHandler</a>&nbsp;dependencyHandler)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPlayPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayPlatform</h4>
<pre>public&nbsp;org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration&nbsp;getPlayPlatform()</pre>
</li>
</ul>
<a name="getPlay()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlay</h4>
<pre>public&nbsp;org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration&nbsp;getPlay()</pre>
</li>
</ul>
<a name="getPlayRun()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayRun</h4>
<pre>public&nbsp;org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration&nbsp;getPlayRun()</pre>
</li>
</ul>
<a name="getPlayTest()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPlayTest</h4>
<pre>public&nbsp;org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration&nbsp;getPlayTest()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/play/plugins/PlayPlugin.html" title="class in org.gradle.play.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/play/plugins/PlayRoutesPlugin.html" title="class in org.gradle.play.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/play/plugins/PlayPluginConfigurations.html" target="_top">Frames</a></li>
<li><a href="PlayPluginConfigurations.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
